## adminer 5.2.1+dfsg

=== Makefile ===
ROOT_DIRECTORY = $(shell dirname "$(realpath $(lastword $(MAKEFILE_LIST)))")
PHP := $(shell which php)
PORT := 8000


.DEFAULT_GOAL := default


.PHONY: default
default: compile

.PHONY: compile
compile:
	$(PHP) $(ROOT_DIRECTORY)/compile.php

.PHONY: server
server:
	php \
	  --server 127.0.0.1:$(PORT) \
	  --docroot $(ROOT_DIRECTORY)

.PHONY: initialize
initialize:
	git \
	  -C $(ROOT_DIRECTORY) \
	  submodule \
	  update \
	  --init \
	  --recursive

.PHONY: clean
clean:
	rm \
	  --recursive \
	  --force \
	  $(ROOT_DIRECTORY)/adminer.php

.PHONY: clean.all
clean.all: clean

## adminer 3.3.3

=== debian/changelog ===
adminer (3.3.3-1) unstable; urgency=low

  * Initial release (Closes: #658861)  

 -- Medhamsh V <me@medhamsh.org>  Mon, 06 Feb 2012 01:29:00 +0530

=== debian/control ===
Source: adminer
Section: web
Priority: extra
Maintainer: Medhamsh V <me@medhamsh.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Homepage: http://www.adminer.org/
Vcs-Git: git://gitorious.org/adminer-packaging/adminer-packaging.git
Vcs-Browser: https://gitorious.org/adminer-packaging/adminer-packaging

Package: adminer
Architecture: all
Depends: ${misc:Depends}, libapache2-mod-php5 | php5-cgi | php5, php5-mysql | php5-sqlite | php5-pgsql
Recommends: php5-sqlite, php5-mysql, php5-pgsql
Suggests: mysql-server | postgresql | sqlite3
Description: Web-based database administration tool
 Adminer (formerly phpMinAdmin) is a full-featured database 
 management tool written in PHP. Conversely to phpMyAdmin, 
 it is a light weight application with these priorities in order:
 security, user experience, performance, feature set and size.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs changes.txt
	dh_installdocs
	dh_installexamples
	dh_installdebconf
	dh_installman
	dh_link
	dh_compress
	dh_fixperms	
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb


binary-arch:

get-orig-source:
	uscan --force-download

binary: binary-indep binary-arch
.PHONY: build clean build-arch build-indep binary-indep binary-arch binary install

## adminer 4.2.1

=== debian/changelog ===
adminer (4.2.1-1ubuntu1) xenial; urgency=medium

  * Update to PHP7.0 dependencies (LP: #1544352).

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 12 Feb 2016 07:59:58 -0800

adminer (4.2.1-1) unstable; urgency=low

  * Upstream upgrade
  * Send referrer header to the same domain
  * MySQL: Fix usage of utf8mb4 if the client library doesn't support it
  * MySQL: Use utf8mb4 in export only if required
  * SQLite: Use EXPLAIN QUERY PLAN in SQL query 

 -- medhamsh <medhamsh@gmail.com>  Sat, 11 Apr 2015 09:05:25 +0530

adminer (3.7.1-1) unstable; urgency=low

  * Upstream upgrade
  * jsmin removed in upstream due to licensing issues
  * Modifying the Readme.source to reflect the same 

 -- Medhamsh V <me@medhamsh.org>  Sat, 12 Oct 2013 01:55:33 +0530

adminer (3.3.4-1) unstable; urgency=low

  * Upstream upgrade 

 -- Medhamsh V <me@medhamsh.org>  Sat, 30 Jun 2012 01:20:29 +0530

=== debian/control ===
Source: adminer
Section: web
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Medhamsh V <medhamsh@gmail.com>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.9.6
Homepage: http://www.adminer.org/
Vcs-Git: git://gitorious.org/adminer-packaging/adminer-packaging.git
Vcs-Browser: https://gitorious.org/adminer-packaging/adminer-packaging

Package: adminer
Architecture: all
Depends: ${misc:Depends}, libapache2-mod-php | php-cgi | php, php-mysql | php-sqlite | php-pgsql
Recommends: php-sqlite, php-mysql, php-pgsql, php-cli
Suggests: mysql-server | postgresql | sqlite3
Description: Web-based database administration tool
 Adminer (formerly phpMinAdmin) is a full-featured database 
 management tool written in PHP. Conversely to phpMyAdmin, 
 it is a light weight application with these priorities in order:
 security, user experience, performance, feature set and size.

=== debian/watch ===
version=3
http://sf.net/adminer/adminer-(.+)\.zip debian debian/repack

## adminer 4.2.5

=== debian/changelog ===
adminer (4.2.5-3~bpo8+2) jessie-backports; urgency=high

  * CVE-2018-7667: Adminer allowed unauthenticated connections to be initiated
    to arbitrary systems and ports which could bypass external firewalls to
    identify internal hosts and/or perform port scanning of other servers.
    (Closes: #893668)

 -- Chris Lamb <lamby@debian.org>  Mon, 26 Mar 2018 11:11:15 -0400

adminer (4.2.5-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
    - Re-add "5" suffixes to phpX-module packages.

 -- Chris Lamb <lamby@debian.org>  Mon, 12 Sep 2016 10:08:43 +0100

adminer (4.2.5-3) unstable; urgency=medium

  * Move mysql-server to default-mysql-server due to
    <https://lists.debian.org/debian-devel-announce/2016/09/msg00000.html>.

 -- Chris Lamb <lamby@debian.org>  Sun, 04 Sep 2016 09:16:31 +0100

adminer (4.2.5-2) unstable; urgency=medium

  * Correct php5 package names. Thanks to Jeremy Davis
    <jeremy@turnkeylinux.org>. (Closes: #821471)

 -- Chris Lamb <lamby@debian.org>  Wed, 17 Aug 2016 09:21:15 +0100

adminer (4.2.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #821471)
  * Temporarily drop broken Apache configuration pending moving to
    apache2-maintscript-helper. (Closes: #669748, #826033)
  * Include virtual-mysql-server to support MariaDB (Closes: #781983)
  * Adopt package.
  * Update Vcs-{Git,Browser}.
  * Update debian/watch to point to Github, not SourceForge.
  * Remove now-unnecessary debian/repack and debian/README.source.
  * Move to minimal "dh" style in debian/rules.
  * Bump Debhelper compatibility level to 9.
  * Bump Standards-Version to 3.9.8.
  * Reflow text in package long description.
  * wrap-and-sort -sa.
  * Drop debian/missing-sources file.

 -- Chris Lamb <lamby@debian.org>  Tue, 09 Aug 2016 12:25:39 +0100

=== debian/control ===
Source: adminer
Section: web
Priority: extra
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends:
 debhelper (>= 9),
Standards-Version: 3.9.8
Homepage: http://www.adminer.org/
Vcs-Git: https://github.com/lamby/pkg-adminer.git
Vcs-Browser: https://github.com/lamby/pkg-adminer

Package: adminer
Architecture: all
Depends:
 libapache2-mod-php5 | php5-cgi | php5,
 php5-mysql | php5-sqlite3 | php5-pgsql,
 ${misc:Depends},
Recommends:
 php5-cli,
 php5-mysql,
 php5-pgsql,
 php5-sqlite3,
Suggests:
 mysql-server | virtual-mysql-server | postgresql | sqlite3,
Description: Web-based database administration tool
 Adminer (formerly phpMinAdmin) is a full-featured database management tool
 written in PHP. Conversely to phpMyAdmin, it is a light weight application
 with these priorities in order: security, user experience, performance,
 feature set and size.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs changes.txt

## adminer 4.3.1

=== debian/changelog ===
adminer (4.3.1-2) unstable; urgency=medium

  * Add simple autopkgtest.
  * Don't install the Selenium-based tests.

 -- Chris Lamb <lamby@debian.org>  Sun, 13 Aug 2017 12:17:28 -0700

adminer (4.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright.

 -- Chris Lamb <lamby@debian.org>  Fri, 28 Apr 2017 10:43:43 +0100

adminer (4.3.0-2) unstable; urgency=medium

  * Fix debian/watch file.

 -- Chris Lamb <lamby@debian.org>  Wed, 12 Apr 2017 21:38:14 +0100

adminer (4.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Add debian/gbp.conf.
  * Use "releases" over "tags" in debian/watch to ensure that we download a
    version with Git submodules under externals/. (re. #859089)
  * Bump debhelper compatibility level to 10.

 -- Chris Lamb <lamby@debian.org>  Thu, 30 Mar 2017 09:18:54 +0100

=== debian/control ===
Source: adminer
Section: web
Priority: extra
Maintainer: Chris Lamb <lamby@debian.org>
Build-Depends:
 debhelper (>= 10),
Standards-Version: 3.9.8
Homepage: https://www.adminer.org/
Vcs-Git: https://github.com/lamby/pkg-adminer.git
Vcs-Browser: https://github.com/lamby/pkg-adminer

Package: adminer
Architecture: all
Depends:
 libapache2-mod-php | php-cgi | php,
 php-mysql | php-sqlite3 | php-pgsql,
 ${misc:Depends},
Recommends:
 php-cli,
 php-mysql,
 php-pgsql,
 php-sqlite3,
Suggests:
 default-mysql-server | virtual-mysql-server | postgresql | sqlite3,
Description: Web-based database administration tool
 Adminer (formerly phpMinAdmin) is a full-featured database management tool
 written in PHP. Conversely to phpMyAdmin, it is a light weight application
 with these priorities in order: security, user experience, performance,
 feature set and size.

## adminer 4.6.2

=== debian/changelog ===
adminer (4.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Chris Lamb <lamby@debian.org>  Fri, 23 Feb 2018 09:54:02 +0000

adminer (4.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Override debian-watch-does-not-check-gpg-signature; upstream do not check
    signatures.

 -- Chris Lamb <lamby@debian.org>  Thu, 15 Feb 2018 11:19:03 +0000

adminer (4.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat level to 11.
  * Tidy whitespace in debian/changelog.
  * Replace "Priority: extra" with "Priority: optional".
  * Update Format URI in debian/copyright to use a HTTPS URI.
  * Bump Standards-Version to 4.1.3.

 -- Chris Lamb <lamby@debian.org>  Sat, 27 Jan 2018 17:08:40 +1100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: adminer
 Section: web
-Priority: extra
+Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
- debhelper (>= 10),
-Standards-Version: 3.9.8
+ debhelper (>= 11),
+Standards-Version: 4.1.3
 Homepage: https://www.adminer.org/
 Vcs-Git: https://github.com/lamby/pkg-adminer.git
 Vcs-Browser: https://github.com/lamby/pkg-adminer

## adminer 4.6.3

=== debian/changelog ===
adminer (4.6.3-2) unstable; urgency=medium

  * Use continue 2 to avoid "switch/continue" warning in PHP 7.3 to avoid
    autopkgtest regression. (Closes: #911825)
  * Move to debhelper-compat virtual package and drop debian/compat.
  * Bump Standards-Version to 4.2.1.

 -- Chris Lamb <lamby@debian.org>  Thu, 25 Oct 2018 09:03:31 -0400

adminer (4.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.5.

 -- Chris Lamb <lamby@debian.org>  Thu, 25 Oct 2018 09:03:28 -0400

adminer (4.6.2-2) unstable; urgency=medium

  * Update Vcs-* repos to point to salsa.debian.org.
  * Bump Standards-Version to 4.1.4

 -- Chris Lamb <lamby@debian.org>  Sat, 09 Jun 2018 20:16:47 +0100

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
- debhelper (>= 11),
-Standards-Version: 4.1.3
+ debhelper-compat (= 11),
+Standards-Version: 4.2.1
 Homepage: https://www.adminer.org/
-Vcs-Git: https://github.com/lamby/pkg-adminer.git
-Vcs-Browser: https://github.com/lamby/pkg-adminer
+Vcs-Git: https://salsa.debian.org/lamby/pkg-adminer.git
+Vcs-Browser: https://salsa.debian.org/lamby/pkg-adminer
 
 Package: adminer
 Architecture: all

## adminer 4.7.0

=== debian/changelog ===
adminer (4.7.0-2) unstable; urgency=medium

  * Additionally Depend on the php-fpm virtual package to avoid (eg.)
    attempting to install Apache when an FPM-CGI variant such as php7.3-fpm is
    installed. (Closes: #906692)

 -- Chris Lamb <lamby@debian.org>  Tue, 04 Dec 2018 23:52:33 +0100

adminer (4.7.0-1) unstable; urgency=medium

  * New upstream release.
  * Ensure documentation is under /usr/share/doc.

 -- Chris Lamb <lamby@debian.org>  Tue, 27 Nov 2018 14:59:13 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Package: adminer
 Architecture: all
 Depends:
- libapache2-mod-php | php-cgi | php,
+ libapache2-mod-php | php-cgi | php-fpm | php,
  php-mysql | php-sqlite3 | php-pgsql,
  ${misc:Depends},
 Recommends:

## adminer 4.7.1

=== debian/changelog ===
adminer (4.7.1-1+deb10u1) buster; urgency=medium

  * provide a compiled version and configuration files (Closes: #952755)
  * privacy: default to disable check for new version
  * Backport security patch series from upstream:
    - Fix open redirect if Adminer is accessible at //adminer.php%2F@
    - Fix XSS if Adminer is accessible at URL /data
    - CVE-2020-35572: Fix XSS in browsers which don't encode URL parameters
    - CVE-2021-21311: Elasticsearch: Do not print response if HTTP code is
      not 200
    - CVE-2021-29625: XSS in doc_link

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Wed, 26 May 2021 09:06:37 +0200

adminer (4.7.1-1) unstable; urgency=medium

  * New upstream release.
    - Drop 0001-Use-continue-2-to-avoid-switch-continue-warning-in-P.patch;
      applied upstream.
  * Bump Standards-Version to 4.3.0.

 -- Chris Lamb <lamby@debian.org>  Tue, 29 Jan 2019 09:37:13 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Chris Lamb <lamby@debian.org>
 Build-Depends:
- debhelper-compat (= 11),
-Standards-Version: 4.2.1
+ debhelper-compat (= 11), php-cli, dh-apache2
+Standards-Version: 4.3.0
 Homepage: https://www.adminer.org/
 Vcs-Git: https://salsa.debian.org/lamby/pkg-adminer.git
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-adminer
@@ -20,6 +20,7 @@
  php-mysql,
  php-pgsql,
  php-sqlite3,
+ ${misc:Recommends},
 Suggests:
  default-mysql-server | virtual-mysql-server | postgresql | sqlite3,
 Description: Web-based database administration tool

## adminer 4.7.1.1

=== debian/changelog ===
adminer (4.7.1.1-1+security) unstable; urgency=medium

  * update

 -- Chris Lamb <lamby@debian.org>  Tue, 08 Jun 2021 15:38:12 +0800

## adminer 4.7.2

=== debian/changelog ===
adminer (4.7.2-1) unstable; urgency=medium

  [ Chris Lamb ]
  * Add initial debian/gitlab-ci.yml.
  * Correct indent "script".
  * Don't build release tags.

  [ Alexandre Rossi ]
  * New upstream version 4.7.2
  * make compiled version installed in binary package (Closes: #906542)
  * change maintainer to myself (Closes: #932470)
  * update to policy 4.4.0 (nothing to do)

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Sun, 28 Jul 2019 17:58:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: adminer
 Section: web
 Priority: optional
-Maintainer: Chris Lamb <lamby@debian.org>
+Maintainer: Alexandre Rossi <alexandre.rossi@gmail.com>
 Build-Depends:
- debhelper-compat (= 11), php-cli, dh-apache2
-Standards-Version: 4.3.0
+ debhelper-compat (= 11), php-cli
+Standards-Version: 4.4.0
 Homepage: https://www.adminer.org/
 Vcs-Git: https://salsa.debian.org/lamby/pkg-adminer.git
 Vcs-Browser: https://salsa.debian.org/lamby/pkg-adminer
@@ -20,7 +20,6 @@
  php-mysql,
  php-pgsql,
  php-sqlite3,
- ${misc:Recommends},
 Suggests:
  default-mysql-server | virtual-mysql-server | postgresql | sqlite3,
 Description: Web-based database administration tool

=== debian/rules ===
#!/usr/bin/make -f

SHARE := $(CURDIR)/debian/$(shell dh_listpackages)/usr/share

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs changes.txt

override_dh_installdocs:
	dh_installdocs
	
	# Move documentation to /usr/share/doc
	set -e; for X in designs plugins; do \
		mv -v $(SHARE)/adminer/$$X/readme.txt $(SHARE)/doc/adminer/readme-$$X.txt; \
	done

override_dh_auto_build:
	dh_auto_build
	php compile.php
	mv adminer-*.php adminer.php
	php compile.php editor
	mv editor-*.php editor.php

override_dh_auto_clean:
	rm -f adminer*.php editor*.php
	dh_auto_clean

## adminer 4.7.5

=== debian/changelog ===
adminer (4.7.5-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster.

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Fri, 15 Nov 2019 13:20:31 +0100

adminer (4.7.5-1) unstable; urgency=medium

  * New upstream version 4.7.5
  * drop plugin-version-noverify-fix patch (included upstream)

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Fri, 15 Nov 2019 13:12:15 +0100

adminer (4.7.4-1) unstable; urgency=medium

  * New upstream version 4.7.4
  * Bump debhelper compat level to 12.
  * add Rules-Requires-Root: no
  * update to policy 4.4.1 (nothing to do)

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Thu, 24 Oct 2019 09:41:49 +0200

adminer (4.7.3-1) unstable; urgency=medium

  * update VCS urls
  * Provide a basic apache2 configuration (Closes: #868107)
  * New upstream version 4.7.3
  * privacy: default to disable check for new version

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Fri, 06 Sep 2019 10:20:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Priority: optional
 Maintainer: Alexandre Rossi <alexandre.rossi@gmail.com>
 Build-Depends:
- debhelper-compat (= 11), php-cli
-Standards-Version: 4.4.0
+ debhelper-compat (= 12), php-cli, dh-apache2
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://www.adminer.org/
-Vcs-Git: https://salsa.debian.org/lamby/pkg-adminer.git
-Vcs-Browser: https://salsa.debian.org/lamby/pkg-adminer
+Vcs-Git: https://salsa.debian.org/debian/adminer.git
+Vcs-Browser: https://salsa.debian.org/debian/adminer
 
 Package: adminer
 Architecture: all
@@ -20,6 +21,7 @@
  php-mysql,
  php-pgsql,
  php-sqlite3,
+ ${misc:Recommends},
 Suggests:
  default-mysql-server | virtual-mysql-server | postgresql | sqlite3,
 Description: Web-based database administration tool

## adminer 4.7.6

=== debian/changelog ===
adminer (4.7.6-1) unstable; urgency=medium

  * New upstream version 4.7.6
  * declare policy compliance to 4.5.0 (nothing to do)

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Tue, 04 Feb 2020 07:06:34 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Alexandre Rossi <alexandre.rossi@gmail.com>
 Build-Depends:
  debhelper-compat (= 12), php-cli, dh-apache2
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://www.adminer.org/
 Vcs-Git: https://salsa.debian.org/debian/adminer.git

## adminer 4.7.7

=== debian/changelog ===
adminer (4.7.7-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster.

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Mon, 11 May 2020 19:26:39 +0200

adminer (4.7.7-1) unstable; urgency=medium

  * New upstream version 4.7.7

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Mon, 11 May 2020 19:22:35 +0200

## adminer 4.7.8

=== debian/changelog ===
adminer (4.7.8-2) unstable; urgency=medium

  * raise dh-compat to 13
  * raise standards version to 4.5.1 (no related change)
  * upgrade watch file format to 4
  * add upstream bug tracking urls

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Tue, 08 Dec 2020 09:05:19 +0100

adminer (4.7.8-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.

  [ Alexandre Rossi ]
  * New upstream version 4.7.8

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Mon, 07 Dec 2020 12:08:36 +0100

## adminer 4.7.9

=== debian/changelog ===
adminer (4.7.9-2) unstable; urgency=medium

  * fix CVE-2021-29625: XSS in doc_link (Closes: #988886)

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Wed, 26 May 2021 09:13:52 +0200

adminer (4.7.9-1) unstable; urgency=medium

  * New upstream version 4.7.9

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Mon, 08 Feb 2021 09:30:28 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Alexandre Rossi <alexandre.rossi@gmail.com>
 Build-Depends:
- debhelper-compat (= 12), php-cli, dh-apache2
-Standards-Version: 4.5.0
+ debhelper-compat (= 13), php-cli, dh-apache2
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.adminer.org/
 Vcs-Git: https://salsa.debian.org/debian/adminer.git

=== debian/watch ===
version=4
https://github.com/vrana/adminer/releases .*/adminer-(.*)\.tar\.gz

## adminer 4.8.1

=== debian/changelog ===
adminer (4.8.1-4) unstable; urgency=medium

  * composer not used for building lintian override
  * fix package-contains-empty-directory
  * declare compliance to policy 4.7.0 (no change)

 -- Alexandre Rossi <niol@zincube.net>  Tue, 30 Jul 2024 18:11:39 +0200

adminer (4.8.1-3) unstable; urgency=medium

  * backport fixes for CVE-2023-45196 CVE-2023-45195 (Closes: #1074430)

 -- Alexandre Rossi <niol@zincube.net>  Wed, 03 Jul 2024 12:16:11 +0200

adminer (4.8.1-2) unstable; urgency=medium

  * update maintainer email
  * PHP 8.3 compat (Closes: #1061573)
  * lintian sourse-is-missing on jush are false positives
  * declare policy compliance to 4.6.2 (no change)
  * also depend on the mysql exts actually used by adminer (Closes: #1061469)

 -- Alexandre Rossi <niol@zincube.net>  Thu, 01 Feb 2024 17:14:55 +0100

adminer (4.8.1-1) unstable; urgency=medium

  * New upstream version 4.8.1
  * drop CVE-2021-29625 patch (integrated upstream)

 -- Alexandre Rossi <alexandre.rossi@gmail.com>  Tue, 17 Aug 2021 09:22:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: adminer
 Section: web
 Priority: optional
-Maintainer: Alexandre Rossi <alexandre.rossi@gmail.com>
+Maintainer: Alexandre Rossi <niol@zincube.net>
 Build-Depends:
  debhelper-compat (= 13), php-cli, dh-apache2
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.adminer.org/
 Vcs-Git: https://salsa.debian.org/debian/adminer.git
@@ -14,11 +14,11 @@
 Architecture: all
 Depends:
  libapache2-mod-php | php-cgi | php-fpm | php,
- php-mysql | php-sqlite3 | php-pgsql,
+ php-mysql | php-mysqli | php-pdo-mysql | php-sqlite3 | php-pgsql,
  ${misc:Depends},
 Recommends:
  php-cli,
- php-mysql,
+ php-mysqli,
  php-pgsql,
  php-sqlite3,
  ${misc:Recommends},

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 SHARE := $(CURDIR)/debian/$(shell dh_listpackages)/usr/share
 
 %:
-	dh $@
+	dh $@ --with apache2
 
 override_dh_installchangelogs:
 	dh_installchangelogs changes.txt
@@ -23,6 +23,15 @@
 	php compile.php editor
 	mv editor-*.php editor.php
 
+execute_after_dh_install:
+	# remove empty designs still in upstream tarball to avoid
+	# lintian package-contains-empty-directory
+	rmdir $(SHARE)/adminer/designs/hydra
+	rmdir $(SHARE)/adminer/designs/pepa-linha-dark
+
+override_dh_apache2:
+	dh_apache2 --noenable
+
 override_dh_auto_clean:
 	rm -f adminer*.php editor*.php
 	dh_auto_clean

## adminer 5.1.0

=== debian/changelog ===
adminer (5.1.0-1) unstable; urgency=medium

  * New upstream version 5.1.0, upstream resumed dev (Closes: #1054574)
  * d/copyright: MIT->Expat and designs license clarifications
  * d/watch: switch to github api
  * declare compliance to policy 4.7.2.0 (no change)
  * document that software is dual licensed with Apache OR GPL-2
  * libjs-jush is now packaged separately
  * simplify and fix source lintian-overrides
  * drop patches (re-implemented upstream another way)
  * add php-jsshrink as patch because missing in src tarball
  * fix build twice
  * configure pristine-tar
  * d/copyright: document license of -dark css
  * handle upstream rename of doc/changes files

 -- Alexandre Rossi <niol@zincube.net>  Tue, 25 Mar 2025 15:06:17 +0100

=== debian/rules ===
#!/usr/bin/make -f

SHARE := $(CURDIR)/debian/$(shell dh_listpackages)/usr/share

%:
	dh $@ --with apache2

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.md

override_dh_installdocs:
	dh_installdocs
	
	# Move documentation to /usr/share/doc
	set -e; for X in designs plugins; do \
		mv -v $(SHARE)/adminer/$$X/README.md $(SHARE)/doc/adminer/README-$$X.md; \
	done

override_dh_auto_build:
	ln -s /usr/share/javascript/jush/* externals/jush
	php compile.php
	mv adminer-*.php adminer.php
	php compile.php editor
	mv editor-*.php editor.php

override_dh_apache2:
	dh_apache2 --noenable

=== debian/watch ===
version=4

opts="searchmode=plain,pgpmode=none, \
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/vrana/adminer/releases?per_page=50 \
https://api.github.com/repos/[^/]+/[^/]+/tarball/v?@ANY_VERSION@ group

## adminer 5.2.1%2Bdfsg

=== debian/changelog ===
adminer (5.2.1+dfsg-1) unstable; urgency=medium

  * switch to zipball to avoid patching externals
  * fix old-fsf-address-in-copyright-file
  * New upstream version 5.2.1
  * adapt config file to new adminer plugin APIs

 -- Alexandre Rossi <niol@zincube.net>  Wed, 16 Apr 2025 08:41:39 +0200

## adminer 5.2.1+dfsg

=== debian/tests/control ===
Tests: 0001-smoketest

=== debian/watch ===
version=4

opts="searchmode=plain,pgpmode=none,repacksuffix=+dfsg, \
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/vrana/adminer/releases?per_page=50 \
https://github.com/[^/]+/[^/]+/releases/download/v[^/]+/adminer-@ANY_VERSION@.zip group

## adminer 5.3.0%2Bdfsg

=== debian/watch ===
version=4

opts="searchmode=plain,pgpmode=none, \
repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//, \
filenamemangle=s%v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%" \
https://api.github.com/repos/vrana/adminer/releases?per_page=50 \
https://github.com/[^/]+/[^/]+/releases/download/v[^/]+/adminer-@ANY_VERSION@.zip group

## adminer 5.3.0+dfsg

=== debian/changelog ===
adminer (5.3.0+dfsg-1) unstable; urgency=medium

  * d/watch: fix upstream version considered older than Debian version
  * New upstream version 5.3.0

 -- Alexandre Rossi <niol@zincube.net>  Thu, 14 Aug 2025 13:43:14 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Alexandre Rossi <niol@zincube.net>
 Build-Depends:
- debhelper-compat (= 13), php-cli, dh-apache2
-Standards-Version: 4.7.0
+ debhelper-compat (= 13), php-cli, dh-apache2, libjs-jush
+Standards-Version: 4.7.2.0
 Rules-Requires-Root: no
 Homepage: https://www.adminer.org/
 Vcs-Git: https://salsa.debian.org/debian/adminer.git
@@ -21,6 +21,7 @@
  php-mysqli,
  php-pgsql,
  php-sqlite3,
+ libjs-jush,
  ${misc:Recommends},
 Suggests:
  default-mysql-server | virtual-mysql-server | postgresql | sqlite3,

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	done
 
 override_dh_auto_build:
-	ln -s /usr/share/javascript/jush/* externals/jush
+	ln -s /usr/share/javascript/jush externals/jush
 	php compile.php
 	mv adminer-*.php adminer.php
 	php compile.php editor

## adminer 5.4.0+dfsg

=== debian/changelog ===
adminer (5.4.0+dfsg-1) unstable; urgency=medium

  * New upstream version 5.4.0
  * fix AdminerRowNumbers plugin PHP Fatal error
  * update default conf (no need to include plugin.inc.php anymore)

 -- Alexandre Rossi <niol@zincube.net>  Wed, 24 Sep 2025 16:20:00 +0200

## adminer 5.4.1+dfsg

=== debian/changelog ===
adminer (5.4.1+dfsg-1) unstable; urgency=medium

  * New upstream version 5.4.1
  * fix AdminerRowNumbers plugin PHP Fatal error
  * update default conf (no need to include plugin.inc.php anymore)

 -- Alexandre Rossi <niol@zincube.net>  Wed, 24 Sep 2025 16:20:00 +0200

## adminer 5.4.2+dfsg

=== debian/changelog ===
adminer (5.4.2+dfsg-1) unstable; urgency=medium

  [ Alexandre Rossi ]
  * New upstream version 5.4.2+dfsg
  * declare compliance to policy 4.7.3 (no change)
  * d/control: remove redondant fields
  * drop upstream'd patch

  [ Tobias Frost ]
  * Fix typo in d/NEWS.
  * Enable salsa CI. 

 -- Alexandre Rossi <niol@zincube.net>  Mon, 09 Feb 2026 09:56:52 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: adminer
 Section: web
-Priority: optional
 Maintainer: Alexandre Rossi <niol@zincube.net>
 Build-Depends:
  debhelper-compat (= 13), php-cli, dh-apache2, libjs-jush
-Standards-Version: 4.7.2.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.3.0
 Homepage: https://www.adminer.org/
 Vcs-Git: https://salsa.debian.org/debian/adminer.git
 Vcs-Browser: https://salsa.debian.org/debian/adminer
